/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * The HTML content to display on the server. Replace `{{ logs }}` with
 * the generated moderation log HTML.
 */
export const landingHtml = `
<!DOCTYPE html>
<html>
  <head>
    <title>Moderation Logs</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="This page lists all of our community moderation sanctions." />
    <script src="https://cdn.nhcarrigan.com/headers/index.js" async defer></script>
  </head>
  <style>
  .sanction {
    width: 95%;
    margin: auto;
    margin-bottom: 10px;
    border-radius: 50px;
  }
.ban {
  background-color: #ffcccc;
  color: #660000;
}

.kick, .suspend {
  background-color: #ffddcc;
  color: #662200;
}

.mute {
  background-color: #fff1cc;
  color: #664b00;
}

.warn {
  background-color: #ccccff;
  color: #000066;
}

.revoked {
  background-color: #ccffdd;
  color: #006622;
}

.user {
  font-size: 1.25rem;
}
summary {
  font-size: 1.5rem;
}

iframe {
  background-color: var(--foreground);
  width: 95%;
  max-width: 1080px;
  margin: auto
}
  </style>
  <body>
    <main>
    <h1>Moderation Logs</h1>
    <section>
      <p>This page lists all of our community moderation sanctions.</p>
      <p>This log was last updated at {{ timestamp }}.</p>
    </section>
    <section>
        <h2>Links</h2>
        <p>
            <a href="https://codeberg.org/nhcarrigan/moderation-logs">
                <i class="fa-solid fa-code"></i> Source Code
            </a>
        </p>
        <p>
            <a href="https://docs.nhcarrigan.com">
                <i class="fa-solid fa-book"></i> Documentation
            </a>
        </p>
        <p>
            <a href="https://chat.nhcarrigan.com">
                <i class="fa-solid fa-circle-info"></i> Support
            </a>
        </p>
    </section>
    <section>
        <h2>Logs</h2>
        {{ logs }}
    </section>
    <h2>Appeal A Sanction</h2>
    <p>See one of your accounts here? Fill out the form below to appeal the sanction!</p>
    </main>
  </body>
<script charset="utf-8" type="text/javascript" src="//js.hsforms.net/forms/embed/v2.js"></script>
<script>
  hbspt.forms.create({
    portalId: "47086586",
    formId: "2db4284c-86a1-47d2-a019-c460ef809402"
  });
</script>
</html>
`;
